summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Roberto Neri2012-12-27 19:45:58 +0100
committer Matteo Bernardini2012-12-27 19:46:21 +0100
commit0f84adcbadeb0307303d0d0e37ca1547b030ad4a (patch)
treec0c2ed58d4c8fd21301cbc394ac714afcda69c2e /multimedia
parent3fb1bca1c7fa868e05f9231874c0b880f5f080be (diff)
downloadslackbuilds-0f84adcbadeb0307303d0d0e37ca1547b030ad4a.tar.gz
multimedia/mtvcgui: Added (Mencoder TV Capture GUI).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/mtvcgui/README6
-rw-r--r--multimedia/mtvcgui/doinst.sh9
-rw-r--r--multimedia/mtvcgui/mtvcgui.SlackBuild82
-rw-r--r--multimedia/mtvcgui/mtvcgui.info10
-rw-r--r--multimedia/mtvcgui/slack-desc19
5 files changed, 126 insertions, 0 deletions
diff --git a/multimedia/mtvcgui/README b/multimedia/mtvcgui/README
new file mode 100644
index 0000000000..19e3c525a2
--- /dev/null
+++ b/multimedia/mtvcgui/README
@@ -0,0 +1,6 @@
+mtvcgui is a very simple graphical user interface for TV capture
+written in python, using the MPlayer encoder (mencoder) and qt4
+libraries.
+It allows the user to specify various parameters for the mencoder
+command line utility with ad-hoc widgets, and provides sections for
+extra parameters.
diff --git a/multimedia/mtvcgui/doinst.sh b/multimedia/mtvcgui/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/multimedia/mtvcgui/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/mtvcgui/mtvcgui.SlackBuild b/multimedia/mtvcgui/mtvcgui.SlackBuild
new file mode 100644
index 0000000000..9f00a82322
--- /dev/null
+++ b/multimedia/mtvcgui/mtvcgui.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for mtvcgui
+
+# Copyright 2013 Roberto Neri, Palermo, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mtvcgui
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/pixmaps
+cp -a ui/icons/128x128/$PRGNAM.png $PKG/usr/share/pixmaps
+mkdir -p $PKG/usr/share/icons/hicolor/scalable/apps
+mv ui/icons/$PRGNAM.svg $PKG/usr/share/icons/hicolor/scalable/apps
+for SIZE in 16x16 22x22 32x32 48x48 64x64 128x128 ; do
+ mkdir -p $PKG/usr/share/icons/hicolor/$SIZE/apps
+ mv ui/icons/$SIZE/$PRGNAM.png $PKG/usr/share/icons/hicolor/$SIZE/apps
+ rm -rf ui/icons/$SIZE
+done
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a i18n ui run.py utils.py \
+ $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/bin
+ln -sf /usr/share/$PRGNAM/run.py $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/share/applications
+cp -a $PRGNAM.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a HISTORY LICENSE README $PRGNAM.ini.sample \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/mtvcgui/mtvcgui.info b/multimedia/mtvcgui/mtvcgui.info
new file mode 100644
index 0000000000..747eede753
--- /dev/null
+++ b/multimedia/mtvcgui/mtvcgui.info
@@ -0,0 +1,10 @@
+PRGNAM="mtvcgui"
+VERSION="1.2"
+HOMEPAGE="http://code.google.com/p/mtvcgui/"
+DOWNLOAD="http://mtvcgui.googlecode.com/files/mtvcgui-1.2.tgz"
+MD5SUM="1030d77dc3d1c2840725412c139711e6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"
diff --git a/multimedia/mtvcgui/slack-desc b/multimedia/mtvcgui/slack-desc
new file mode 100644
index 0000000000..f8abb44801
--- /dev/null
+++ b/multimedia/mtvcgui/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mtvcgui: mtvcgui (Mencoder TV Capture GUI)
+mtvcgui:
+mtvcgui: mtvcgui is a very simple graphical user interface for TV capture
+mtvcgui: written in python, using the MPlayer encoder (mencoder) and qt4
+mtvcgui: libraries.
+mtvcgui: It allows the user to specify various parameters for the mencoder
+mtvcgui: command line utility with ad-hoc widgets, and provides sections for
+mtvcgui: extra parameters.
+mtvcgui:
+mtvcgui: Homepage: http://code.google.com/p/mtvcgui/
+mtvcgui: